# Add transactions to an account Endpoint: POST /api/v1/integrations/clients/{clientId}/transactions Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) The id of the client ## Request fields (application/json): - `accountNumber` (string, required) The account number to add this transaction to. - `currency` (string, required) The currency of the transaction. - `sourceReferenceId` (string, required) Unique reference for the transaction. - `batchNumber` (string,null) Batch number of the transaction. - `voucherNumber` (string,null) Voucher number of the transaction. - `voucherLine` (integer) Voucher line of the transaction. - `description` (string,null) Description of the transaction. - `invoiceNumber` (string,null) Invoice number of the transaction. - `comment` (string,null) Comment of the transaction. - `voucherDate` (string) The date of the transaction. - `valueDate` (string) The value date of the transaction. - `period` (string) The period the transaction belongs to. - `debitAmount` (number) The debit amount of the transaction. - `debitAmountInCurrency` (number) The debit amount of the transaction in the currency. - `creditAmount` (number) The credit amount of the transaction. - `creditAmountInCurrency` (number) The credit amount of the transaction in the currency. - `rate` (number) The exchange rate of the currency on this transaction. - `year` (integer) The year of the transaction. mostly same as period. ## Response 200 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `errors` (array,null) A list of error messages, if the request was not successful - `errors.errorMessage` (string, required) Error message that describes the issue - `errors.accountNumber` (string,null) The account number where the transactions were intended to be added - `errors.sourceReferences` (array,null) The unique identifiers associated with the transactions - `batchId` (string,null) The unique batch id of the added transactions ## Response 400 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `errors` (array,null) A list of error messages, if the request was not successful - `errors.errorMessage` (string, required) Error message that describes the issue - `errors.accountNumber` (string,null) The account number where the transactions were intended to be added - `errors.sourceReferences` (array,null) The unique identifiers associated with the transactions - `batchId` (string,null) The unique batch id of the added transactions ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)